GeoHashField (Solr 3.6.2 API)
Keywords: org.apache.solr.schema.GeoHashField class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.schema
Class GeoHashField

    java.lang.Object
      org.apache.solr.schema.FieldProperties
          org.apache.solr.schema.FieldType
              org.apache.solr.schema.GeoHashField

All Implemented Interfaces:
  SpatialQueryable

    public class GeoHashField

extends FieldType
implements SpatialQueryable

This is a class that represents a Geohash field. The field is provided as a lat/lon pair and is internally represented as a string.

See Also:
  `DistanceUtils.parseLatitudeLongitude(double[], String)`

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.solr.schema.FieldType
`FieldType.DefaultAnalyzer`

Field Summary

Fields inherited from class org.apache.solr.schema.FieldType
`analyzer, args, falseProperties, log, POLY_FIELD_SEPARATOR, queryAnalyzer, trueProperties, typeName`

Fields inherited from class org.apache.solr.schema.FieldProperties
`BINARY, INDEXED, MULTIVALUED, OMIT_NORMS, OMIT_POSITIONS, OMIT_TF_POSITIONS, REQUIRED, SORT_MISSING_FIRST, SORT_MISSING_LAST, STORE_TERMOFFSETS, STORE_TERMPOSITIONS, STORE_TERMVECTORS, STORED, TOKENIZED`

Constructor Summary
`GeoHashField()`

Method Summary
`Query` | `createSpatialQuery(QParser parser, SpatialOptions options)`
`SortField` | `getSortField(SchemaField field, boolean top)` Returns the SortField instance that should be used to sort fields of this type.
`ValueSource` | `getValueSource(SchemaField field, QParser parser)` called to get the default value source (normally, from the Lucene FieldCache.)
`String` | `toExternal(Fieldable f)` Convert the stored-field format to an external (string, human readable) value
`String` | `toInternal(String val)` Convert an external value (from XML update command or from query string) into the internal format for both storing and indexing (which can be modified by any analyzers).
`void` | `write(TextResponseWriter writer, String name, Fieldable f)` calls back to TextResponseWriter to write the field value
`void` | `write(XMLWriter xmlWriter, String name, Fieldable f)` Renders the specified field as XML

Methods inherited from class org.apache.solr.schema.FieldType
`createField, createField, createFields, getAnalyzer, getArg, getFieldIndex, getFieldQuery, getFieldStore, getFieldTermVec, getIndexOptions, getQueryAnalyzer, getRangeQuery, getStringSort, getTypeName, getValueSource, hasProperty, indexedToReadable, init, isMultiValued, isPolyField, isTokenized, multiValuedFieldCache, readableToIndexed, restrictProps, setAnalyzer, setQueryAnalyzer, storedToIndexed, storedToReadable, toObject, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GeoHashField

    public GeoHashField()

Method Detail

### getSortField

    public SortField getSortField(SchemaField field,
                                  boolean top)

  Description copied from class: `FieldType`
  Returns the SortField instance that should be used to sort fields of this type.

  Specified by:
    `getSortField` in class `FieldType`
  See Also:
    `SchemaField.checkSortability()`

### createSpatialQuery

    public Query createSpatialQuery(QParser parser,
                                    SpatialOptions options)

  Specified by:
    `createSpatialQuery` in interface `SpatialQueryable`

### write

    public void write(XMLWriter xmlWriter,
                      String name,
                      Fieldable f)
               throws IOException

  Description copied from class: `FieldType`
  Renders the specified field as XML

  Specified by:
    `write` in class `FieldType`
  Throws:
    `IOException`

### write

    public void write(TextResponseWriter writer,
                      String name,
                      Fieldable f)
               throws IOException

  Description copied from class: `FieldType`
  calls back to TextResponseWriter to write the field value

  Specified by:
    `write` in class `FieldType`
  Throws:
    `IOException`

### toExternal

    public String toExternal(Fieldable f)

  Description copied from class: `FieldType`
  Convert the stored-field format to an external (string, human readable) value

  Overrides:
    `toExternal` in class `FieldType`
  See Also:
    `FieldType.toInternal(java.lang.String)`

### toInternal

    public String toInternal(String val)

  Description copied from class: `FieldType`
  Convert an external value (from XML update command or from query string) into the internal format for both storing and indexing (which can be modified by any analyzers).

  Overrides:
    `toInternal` in class `FieldType`
  See Also:
    `FieldType.toExternal(org.apache.lucene.document.Fieldable)`

### getValueSource

    public ValueSource getValueSource(SchemaField field,
                                      QParser parser)

  Description copied from class: `FieldType`
  called to get the default value source (normally, from the Lucene FieldCache.)

  Overrides:
    `getValueSource` in class `FieldType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD